#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

int main(void){
  int x = fork();
  if (x < 0){
      perror("Errore nella fork:");
      exit(1);
  } else {
    if (x != 0){
      while(1) printf("Processo padre (Figlio: %d)\n", x);
    } else {
      while(1) printf("Processo figlio (%d)\n", x);
    }
  }
  return 0;
}

    
        
  
